Subject: 24.3.50; `modify-frame-parameters' raises error for font returned by `xs-list-fonts'

From: Drew Adams <[email-masked]>
Date: Tue, 18 Jun 2013 14:26:34 -0700 (PDT)

Not sure there is a bug here, but I think so.

(x-list-fonts "*") returns a list containing this XLFD font name
(and two other names that are similar):
"-outline-DFKai-SB-normal-normal-normal-script-*-*-*-*-c-*-iso8859-1".

That is not a valid XFLD name (e.g., it contains 15, not 14, hyphens).
And this error is raised by `modify-frame-parameters':

Debugger entered--Lisp error: (error "Font `-outline-DFKai-SB-normal-normal-normal-script-*-*-*-*-c-*-iso8859-1' is not defined")
  modify-frame-parameters(#<frame throw-i-font.el 06b50270> ((font . "-outline-DFKai-SB-normal-normal-normal-script-*-*-*-*-c-*-iso8859-1")))

Should `xs-list-fonts' return only valid XFLD font names?  Or is the
current behavior correct on all counts?

Note that I can use this font otherwise.  E.g., in emacs -Q I can
S-mouse-1, `Change Buffer Font', choose `DFKai-SB', and the font is
used OK.  That uses `x-select-font'.  So perhaps the bug is with
`modify-frame-parameters' (?).

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-06-17 on ODIEONE
Bzr revision: 113024 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 CFLAGS=-O0 -g3 LDFLAGS=-Lc:/Devel/emacs/lib
 CPPFLAGS=-Ic:/Devel/emacs/include'